## org.red5.server.tomcat.rtmps
Class RTMPSLoader

    java.lang.Object
      org.red5.server.LoaderBase
          org.red5.server.tomcat.TomcatLoader
              org.red5.server.tomcat.rtmpt.RTMPTLoader
                  org.red5.server.tomcat.rtmps.RTMPSLoader

All Implemented Interfaces:
  LoaderMBean, ApplicationContextAware

    public class RTMPSLoader

extends RTMPTLoader

Loader for the RTMPS server which uses Tomcat.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Nested Class Summary

Nested classes/interfaces inherited from class org.red5.server.tomcat.TomcatLoader
`TomcatLoader.DirectoryFilter`

Field Summary
`protected Engine` `rtmpsEngine` RTMPS Tomcat engine.

Fields inherited from class org.red5.server.tomcat.rtmpt.RTMPTLoader
`context, rtmptEngine, server, servletMappings`

Fields inherited from class org.red5.server.tomcat.TomcatLoader
`address, connectionProperties, connector, connectors, defaultParentContextKey, defaultSpringConfigLocation, embedded, engine, host, hosts, realm, serviceEngineName, valves`

Fields inherited from class org.red5.server.LoaderBase
`applicationContext, loader, red5AppCtx, webappFolder`

Constructor Summary
`RTMPSLoader()`

Method Summary
`void` `init()` Initialization.
`void` `setServer(IServer server)` Setter for server

Methods inherited from class org.red5.server.tomcat.rtmpt.RTMPTLoader
`setMappings`

Methods inherited from class org.red5.server.tomcat.TomcatLoader
`addContext, addContext, getBaseHost, getConnector, getEmbedded, getEngine, getHost, getHostId, getRealm, registerJMX, removeContext, setAddress, setBaseHost, setConnectionProperties, setConnector, setConnectors, setContexts, setEmbedded, setHost, setHosts, setRealm, setValves, shutdown, startWebApplication`

Methods inherited from class org.red5.server.LoaderBase
`getApplicationContext, getApplicationLoader, getRed5ApplicationContext, getRed5ApplicationContexts, removeRed5ApplicationContext, setApplicationContext, setApplicationLoader, setRed5ApplicationContext, setWebappFolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.context.ApplicationContextAware
`setApplicationContext`

Field Detail

### rtmpsEngine

    protected Engine rtmpsEngine

  RTMPS Tomcat engine.

Constructor Detail

### RTMPSLoader

    public RTMPSLoader()

Method Detail

### setServer

    public void setServer(IServer server)

  Setter for server

  Overrides:
    `setServer` in class `RTMPTLoader`
  Parameters:
    `server` - Value to set for property 'server'.

### init

    public void init()

  Initialization.

  Specified by:
    `init` in interface `LoaderMBean`
  Overrides:
    `init` in class `RTMPTLoader`

Copyright © 2006-2010 The Red5 Project